package com.djhk.uav.airspace.service;


import com.djhk.uav.airspace.domain.AirspaceWaypoint;

import java.util.List;

public interface AirspaceWaypointService {

    /**
     * 查询空域申请
     *
     * @param id 空域申请主键
     * @return 空域申请
     */
    public AirspaceWaypoint selectAirspaceWaypointById(Long id);

    /**
     * 查询空域申请列表
     *
     * @return 空域申请集合
     */
    public List<AirspaceWaypoint> selectAirspaceWaypointList(Long airspaceApplyId);

    /**
     * 新增空域申请
     *
     * @param AirspaceWaypoint 空域申请
     * @return 结果
     */
    public int insertAirspaceWaypoint(AirspaceWaypoint AirspaceWaypoint);

    /**
     * 删除空域申请
     *
     * @param id 空域申请主键
     * @return 结果
     */
    public int deleteAirspaceWaypointById(Long id);

    /**
     * 批量删除空域申请
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAirspaceWaypointByIds(Long[] ids);
}
